> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/content-collections/administration/network-security/container-network-exposure/customize-satellite-deployment.md).

# Customize Satellite Deployment

You can use a Secret Manager to store Satellite information and customize your Satellite deployment:

* Use Kubernetes Secrets (default option) or third-party [Secrets Managers](https://kubernetes.io/docs/concepts/configuration/secret/#uses-for-secrets) and mount it as a dot file into the deployment as volume.

  ```
  apiVersion: v1
  kind: Secret
  metadata:
    name: prismacloud-satellite-secret
    labels:
      {{- include "prismacloud-satellite.labels" . | nindent 4 }}
  type: Opaque
  data:
    .PRISMA_API_SECRET: {{ .Values.global.satellite.accessKey | b64enc }}
    .PROXY_PASSWORD: {{ .Values.global.proxy.password | quote | b64enc }}
    .PROXY_USER: {{ .Values.global.proxy.user | quote | b64enc }}


  apiVersion: v1
  kind: Pod
  metadata:
    name: secret-dotfiles-pod
  spec:
    volumes:
      - name: prisma-api-secret
        secret:
          secretName: prismacloud-satellite-secret
    containers:
      - name: test-container
        image: registry.k8s.io/busybox
        command:
          - ls
          - "-l"
          - "/etc/secret-volume"
        volumeMounts:
          - name: prisma-api-secret
            readOnly: true
            mountPath: "/etc/secrets"
  ```
* Use the GCP CSI driver secrets add on, which mounts the [GCP managed secrets](https://cloud.google.com/secret-manager/docs/secret-manager-managed-csi-component) as volume.

  Define which secrets to mount, create a `SecretProviderClass` yaml manifest, and list the secrets to mount and the filename to mount them as.

  ```
  apiVersion: secrets-store.csi.x-k8s.io/v1
  kind: SecretProviderClass
  metadata:
    name: gke-secrets
  spec:
    provider: gke
    parameters:
      secrets: |
        - resourceName: "projects/<your-project-id>/secrets/<my-api-token>/versions/latest"
          path: "<secret-filename>"


  apiVersion: v1
  kind: Pod
  metadata:
    name: secret-dotfiles-pod
  spec:
    volumes:
      - name: prisma-api-secret
        csi:
          driver: secrets-store.csi.k8s.io
          readOnly: true
          volumeAttributes:
            secretProviderClass: "gke-secrets"
    containers:
      - name: test-container
        image: registry.k8s.io/busybox
        command:
          - ls
          - "-l"
          - "/etc/secret-volume"
        volumeMounts:
          - name: prisma-api-secret
            readOnly: true
            mountPath: "/etc/secrets"
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.prismacloud.io/content-collections/administration/network-security/container-network-exposure/customize-satellite-deployment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
